'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.file = file;
function file() {
    var extensions = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    var useRelativePath = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;

    return {
        module: {
            rules: [{
                test: new RegExp('.(' + extensions.join('|') + ')$'),
                use: [{
                    loader: 'file-loader',
                    options: {
                        useRelativePath: useRelativePath,
                        name: '[name].[ext]'
                    }
                }]
            }]
        }
    };
}