'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.s3Sync = s3Sync;

var _webpackS3Plugin = require('webpack-s3-plugin');

var _webpackS3Plugin2 = _interopRequireDefault(_webpackS3Plugin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function s3Sync(accessKeyId, secretAccessKey, bucketName) {
    var options = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};

    var s3UploadOptions = options.s3UploadOptions,
        otherOptions = _objectWithoutProperties(options, ['s3UploadOptions']);

    var opts = _extends({
        s3Options: { accessKeyId: accessKeyId, secretAccessKey: secretAccessKey },
        s3UploadOptions: _extends({
            Bucket: bucketName
        }, s3UploadOptions)
    }, otherOptions);

    return {
        plugins: [new _webpackS3Plugin2.default(opts)]
    };
}