'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.stats = stats;

var _webpackBundleAnalyzer = require('webpack-bundle-analyzer');

var _statsWebpackPlugin = require('stats-webpack-plugin');

var _statsWebpackPlugin2 = _interopRequireDefault(_statsWebpackPlugin);

var _webpackVisualizerPlugin = require('webpack-visualizer-plugin');

var _webpackVisualizerPlugin2 = _interopRequireDefault(_webpackVisualizerPlugin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function stats() {
    return {
        plugins: [new _webpackVisualizerPlugin2.default(), new _webpackBundleAnalyzer.BundleAnalyzerPlugin({
            analyzerMode: 'static',
            reportFilename: 'bundle-analysis.html',
            openAnalyzer: false
        }), new _statsWebpackPlugin2.default('stats.json', {
            hash: true,
            assets: true,
            reasons: true,
            chunks: true,
            source: false
        })]
    };
}